NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Tooling.LayoutManagementBuilder Class Reference

Layout Management Builder of Engineering Die Wizard More...

Inheritance diagram for NXOpen.Tooling.LayoutManagementBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  StationItems { One, Two, Three }
 Specifies the station items More...
 

Properties

unsafe NXOpen.SelectBodyList BodiesReposition [get]
 Returns the select bodies to reposition More...
 
unsafe
NXOpen.GeometricUtilities.ModlMotion 
RepositionMotion [get]
 Returns the reposition motion More...
 
unsafe NXOpen.SelectNXObjectList SelectEntityAdd [get]
 Returns the select entity to add into the station More...
 
unsafe NXOpen.SelectNXObjectList SelectEntityRemove [get]
 Returns the select entity to remove from the station More...
 
unsafe NXOpen.Direction SpecifyDieTip [get, set]
 Returns or sets the specify die tip to define the forming direction More...
 
unsafe double StationDistance [get, set]
 Returns or sets the station distance of engineering die More...
 
unsafe
NXOpen.Tooling.LayoutManagementBuilder.StationItems 
StationEnum [get, set]
 Returns or sets the station number definition of engineering die More...
 
unsafe string StationNameStr [get, set]
 Returns or sets the station name definition of engineering die More...
 
unsafe int StationNumber [get, set]
 Returns or sets the total station number of engineering die layout More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Layout Management Builder of Engineering Die Wizard

To create a new instance of this class, use NXOpen.Tooling.LayoutManagementCollection.CreateLayoutManagementBuilder

Default values.

Property Value

RepositionMotion.DeltaEnum

ReferenceWcsWorkPart

RepositionMotion.DeltaXc.Value

0.0

RepositionMotion.DeltaYc.Value

0.0

RepositionMotion.DeltaZc.Value

0.0

StationDistance

0

StationEnum

One

StationNameStr

station

StationNumber

3

Created in NX8.0.0

Member Enumeration Documentation

Specifies the station items

Enumerator
One 

Define station number – 01

Two 

Define station number – 02

Three 

Define station number – 03

Property Documentation

unsafe NXOpen.SelectBodyList NXOpen.Tooling.LayoutManagementBuilder.BodiesReposition
get

Returns the select bodies to reposition

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ModlMotion NXOpen.Tooling.LayoutManagementBuilder.RepositionMotion
get

Returns the reposition motion

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.LayoutManagementBuilder.SelectEntityAdd
get

Returns the select entity to add into the station

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.LayoutManagementBuilder.SelectEntityRemove
get

Returns the select entity to remove from the station

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.LayoutManagementBuilder.SpecifyDieTip
getset

Returns or sets the specify die tip to define the forming direction

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.LayoutManagementBuilder.StationDistance
getset

Returns or sets the station distance of engineering die

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.LayoutManagementBuilder.StationItems NXOpen.Tooling.LayoutManagementBuilder.StationEnum
getset

Returns or sets the station number definition of engineering die

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.LayoutManagementBuilder.StationNameStr
getset

Returns or sets the station name definition of engineering die

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Tooling.LayoutManagementBuilder.StationNumber
getset

Returns or sets the total station number of engineering die layout

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.